function [acq, finfo, rekon] = Read_RFe_andReconstruct(filename, begin_frame, nr_frames,c, pitch, RadOfCurv,Rconstruct,s)

[ Settings, Data ] = Read_RFe_V2c_no_laser_probe( filename, begin_frame, nr_frames);
finfo = Settings.finfo;
Settings.pitch = pitch;
Settings.sampleDepth = c*1e6/Settings.acq.fs; % depth of each sample
Settings.acqDepth = [1, Settings.halfFrameLength]*Settings.sampleDepth;
acq = Settings.acq;
rfm = Data.fullFrame;
F_cut1=3e6;
[b,a] = butter(5,F_cut1/(acq.fs/2),'high');
F_cut2=8e6;
[m,l] = butter(5,F_cut2/(acq.fs/2),'low');
%rekon = zeros(size(rfm,1),(floor(2*0.3*acq.fs/1e6/c)-1)*(size(rfm,2)-1));
delay = 1e6*acq.dt/acq.fs;
rekon=zeros(size(squeeze(rfm(1,:,:))));
for n=1:s:nr_frames
    alpha = (pi/180)*(-nr_frames/2+(n-1));
    rfm(n,:,:)=filter(b,a,squeeze(rfm(n,:,:)));
    rfm(n,:,:)=filter(m,l,squeeze(rfm(n,:,:)));
    New=rekon_US_freqdom_anglenew_compounding(squeeze(rfm(n,:,:)),acq.fs/1e6,0.24,c,delay,0,0,5,1,9e10,alpha);
    % sinal, F, pitch, speed, delay, 0, 0, 5, 1, radius, alpha
    rekon = rekon + New;
end

%rekon = resample(rekon',floor(2*0.3*acq.fs/1e6/c)-1,1,20);
%=imresize(rekon,[2666 896],'bilinear','Antialiasing',true);
%         rekon=imresize(rekon,[2666 896],'bilinear','Antialiasing',true);
rekon = (rekon*s/nr_frames);
rekon = abs(rekon);
figure
imagesc((1:64)*Settings.pitch, [1, Settings.halfFrameLength]*Settings.sampleDepth, rekon);
colormap hot

%% to display the reconstruction
%         rekon1 = abs(rekon);
%         rekon1 = (rekon1.^2);
%         rekon1 = log10_compression2(rekon1,40,-40,1);
%         imrotate (rekon1,90);
%         figure; imagesc((1:64)*0.3,(1:length(rekon1))*(1.48/(acq.fs/1e6)/2),(rekon1)),colormap(gray),colorbar,x=xlabel('Lateral Distance(mm)');
%         
%         axis equal;
%         axis tight;
%         set(gca,'FontWeight','bold');
%         set(gca,'FontSize',14);
%         set(x,'fontweight','bold','fontsize',14);
%         z = title('US Reconstruction');
%         set(z,'fontweight','bold','fontsize',14);

%%
%     Close the file


end
