% uncomment function [ Settings, Data, Objects, rekon, crossCor ] = process_data_v2(file)
% and [ Settings, Data ] = Read_RFe_V2c( file, 0, 0);
% comment [ Settings, Data ] = Read_RFe_V2c( 'P:\TNW\BMPI\Users\Ho Nhu Y Nguyen\Published papers\In-plane artifact reduction\data', 0, 0);
% in process_data_v2.m

close all

%% correlation coefficient vs depth (deltaZ analysis)
dataPath = 'P:\TNW\BMPI\Users\Ho Nhu Y Nguyen\Published papers\RA artifact reduction using multi-wavelength excitation\data';
[fn, fp] = uigetfile('*.rfe','Select the INPUT DATA FILE(s)','MultiSelect','on', dataPath);
nFiles = length(fn);

nExperiments = 7;
nRuns = 4;
iRuns = zeros(1, nExperiments);

coef = zeros(nRuns,nExperiments);
depth = zeros(nRuns,nExperiments);
obj1 = zeros(nRuns,nExperiments);
obj2 = zeros(nRuns,nExperiments);
pvalue = zeros(nRuns,nExperiments);
 
for iFile = 1:nFiles
    [ Settings, Data, Objects(iFile), rekon, crossCor ] = process_data_v2([fp fn{iFile}]);
    fileNameInfo = strsplit(Settings.fileName, '_');
    iExp = str2double(fileNameInfo{2});
    iRuns(iExp) = iRuns(iExp) + 1;
    obj1(iRuns(iExp), iExp) = input('obj1:');
    obj2(iRuns(iExp), iExp) = input('obj2:');
    coef(iRuns(iExp), iExp) = Objects(iFile).crossCor(obj1(iRuns(iExp), iExp), obj2(iRuns(iExp), iExp));
    z1 = Objects(iFile).objPxlPosXWavelength(Objects(iFile).clearestImgIdx, obj1(iRuns(iExp), iExp));
    z2 = Objects(iFile).objPxlPosXWavelength(Objects(iFile).clearestImgIdx, obj2(iRuns(iExp), iExp));
    depth(iRuns(iExp), iExp) = abs(z1-z2)*Settings.sampleDepth;
    
    if(strcmp(Settings.fileName, 'deltaZ_1_20182506_132543'))
        sr11 = Objects.objPxlValueWavelength(:, 359);
        sr21 = Objects.objPxlValueWavelength(:, 337);
    end
    if(strcmp(Settings.fileName, 'deltaZ_7_20184506_154544'))
        sr12 = Objects.objPxlValueWavelength(:, 388);
        sr22 = Objects.objPxlValueWavelength(:, 453);
    end
end
coefMean = mean(coef);
depthMean = mean(depth);
depthMeanPlot = repmat(depthMean, 4, 1);
yneg = coefMean-min(coef);
ypos = max(coef)-coefMean;
xneg = depthMean-min(depth);
xpos = -depthMean+max(depth);

% figure 12(a)
figure
errorbar(depthMean, coefMean, yneg, ypos, xneg, xpos);
xlabel('\Deltaz [mm]');
ylabel('correlation coefficient');

% figure 12(b)
wavelengths = str2double(Settings.wavelengths);
figure
plot(wavelengths, sr11/max(sr11), '-o');
hold on
plot(wavelengths, sr21/max(sr21), '-s');
plot(wavelengths, sr12/max(sr12), '--o');
plot(wavelengths, sr22/max(sr22), '--s');
legend({'suture 1, \Deltaz_{1}', 'suture 2, \Deltaz_{1}', 'suture 1, \Deltaz_{2}', 'suture 2, \Deltaz_{2}'})