%% P:\TNW\BMPI\Users\Ho Nhu Y Nguyen\Published papers\In-plane artifact reduction\data\In vivo\finger_movie_20170505_110511.rfe

% figure 9(a)
clearestImg2 = interp1(1:512, clearestImg, linspace(1,512,1024));
clearestImg2 = clearestImg2(280:880, 10:50);
figure
imagesc((10:50)*Settings.pitch, (280:880)*Settings.sampleDepth/2, clearestImg2);
ylabel('depth [mm]');
xlabel('y [mm]');
title('Acquired PA image');
axis image
colormap hot
xticks([6 10 14]);
yticks([8 12 16 20]);

% figure 9(b)
figure
USFrame2 = USFrame/max(USFrame(:))*max(clearestImg2(:));
USFrame2 = USFrame2(280:880, 10:50);
imagesc((10:50)*Settings.pitch, (280:880)*Settings.sampleDepth/2, USFrame2);
ylabel('depth [mm]');
xlabel('y [mm]');
title('Acquired US image');
axis image
colormap gray
xticks([6 10 14]);
yticks([8 12 16 20]);

% figure 10(a)
figure
imagesc(Objects.objectsShow);
axis off
colormap hot;
numberedObjs = [32 18 56 77 124 173 63 62 50 94 86 137];
numberedObjs = sort(numberedObjs);
for iObj = 1:nObjs
    [maxPixel, linIndex] = max(eventImg(Objects.PixelIdxList{iObj}));
    linIndex = Objects.PixelIdxList{iObj}(linIndex);
    [pxlX, pxlY] = ind2sub(size(clearestImg), linIndex);
    if ismember(iObj, numberedObjs) 
        text(pxlY,pxlX,num2str(iObj), 'color',[0 1 1], 'fontsize',11,...
            'fontweight','bold');
    end
end
xlim([10 50]);
ylim([140 440]);

% figure 10(b)
wavelengths = str2double(Settings.wavelengths);
figure
plot(wavelengths, Objects.objPxlValueWavelength(:,32)/max(Objects.objPxlValueWavelength(:,32)),'-o', 'LineWidth', 1);
hold on
plot(wavelengths, Objects.objPxlValueWavelength(:,50)/max(Objects.objPxlValueWavelength(:,50)),'--o', 'LineWidth', 1);
plot(wavelengths, Objects.objPxlValueWavelength(:,56)/max(Objects.objPxlValueWavelength(:,56)),'-s', 'LineWidth', 1);
plot(wavelengths, Objects.objPxlValueWavelength(:,63)/max(Objects.objPxlValueWavelength(:,63)),'--s', 'LineWidth', 1);

plot(wavelengths, Objects.objPxlValueWavelength(:,77)/max(Objects.objPxlValueWavelength(:,77)),'-x', 'LineWidth', 1);
plot(wavelengths, Objects.objPxlValueWavelength(:,62)/max(Objects.objPxlValueWavelength(:,62)),'--x', 'LineWidth', 1);
xticks([808,915,940,980]);
ylim([0.2 1]);
xlim([805 1000]);
xlabel('wavelength [nm]');
ylabel('normalized pixel value [a.u]');
title('spectral responses');
legendStr = {'32', '50', '56', '63', '77', '62'};
hold off
legend(legendStr);

% figure 11
figure
subplot(1,2,1)
imagesc((10:50)*Settings.pitch, (140:440)*Settings.sampleDepth, clearestImg(140:440,10:50));
ylabel('depth [mm]');
xlabel('y [mm]');
title('Acquired PA image');
colormap hot
axis image
colorbar
subplot(1,2,2)
imagesc((10:50)*Settings.pitch, (140:440)*Settings.sampleDepth, correctedImg(140:440,10:50));
ylabel('depth [mm]');
xlabel('y [mm]');
title('Corrected PA image');
colormap hot
axis image
fprintf('done!\n');
colorbar