%% P:\TNW\BMPI\Users\Ho Nhu Y Nguyen\Published papers\In-plane artifact reduction\data\phantom\phantom_#3_20170329_140337.rfe
% figure 1(b) in the paper
figure
imagesc(clearestImg);
xlim([20 50]);
ylim([100 345]);
colormap hot
axis off

%% P:\TNW\BMPI\Users\Ho Nhu Y Nguyen\Published papers\In-plane artifact reduction\data\phantom\phantom#2_3.5%intralipid20%_20172620_132602.rfe
% figure 6(c)
clearestImg2 = interp1(1:512, clearestImg, linspace(1,512,1024));
clearestImg2 = clearestImg2(245:500, 21:49);
USFrame2 = USFrame(245:500, 21:49);
figure
h = imagesc((21:49)*Settings.pitch, (245:500)*Settings.sampleDepth/2, clearestImg2);
ylabel('depth [mm]');
xlabel('y [mm]');
axis image
colormap hot
USFrame2 = USFrame2/max(USFrame2(:))*max(clearestImg2(:));
set(h, 'AlphaData', 3./USFrame2);
yticks([8 10 12]);
xticks([8 10 12 14]);
title('PA+US image');

% figure 6(d)
figure
for iEvent = 1:nEvents
    subplot(subplotRow, subplotCol, iEvent);
    tempRekon = squeeze(rekon(iEvent,122:250,21:49));
    imagesc((21:49)*Settings.pitch, (122:250)*Settings.sampleDepth, tempRekon);
    axis image
    ylabel('depth [mm]');
    xlabel('y [mm]');
    colormap(hot);
    colorbar
    title(['\lambda = ' Settings.wavelengths{iEvent} 'nm']);
end
fprintf('done!\n');

% figure 7(a)
figure
imagesc(Objects.objectsShow);
axis off
colormap hot;
numberedObjs = [24 26 34 38 51 52 54 57 58 63 64];
numberedObjs = sort(numberedObjs);
for iObj = 1:nObjs
    [maxPixel, linIndex] = max(eventImg(Objects.PixelIdxList{iObj}));
    linIndex = Objects.PixelIdxList{iObj}(linIndex);
    [pxlX, pxlY] = ind2sub(size(clearestImg), linIndex);
    if ismember(iObj, numberedObjs) 
        text(pxlY,pxlX,num2str(iObj), 'color',[0 1 1], 'fontsize',11,...
            'fontweight','bold');
    end
end
xlim([21 49]);
ylim([122 250]);

% figure 7(b)
wavelengths = str2double(Settings.wavelengths);
figure
plot(wavelengths, Objects.objPxlValueWavelength(:,57)/max(Objects.objPxlValueWavelength(:,57)),'-o', 'LineWidth', 1);
hold on
plot(wavelengths, Objects.objPxlValueWavelength(:,51)/max(Objects.objPxlValueWavelength(:,51)),'-s', 'LineWidth', 1);
plot(wavelengths, Objects.objPxlValueWavelength(:,54)/max(Objects.objPxlValueWavelength(:,54)),'-s', 'LineWidth', 1);
plot(wavelengths, Objects.objPxlValueWavelength(:,58)/max(Objects.objPxlValueWavelength(:,58)),'-s', 'LineWidth', 1);

plot(wavelengths, Objects.objPxlValueWavelength(:,24)/max(Objects.objPxlValueWavelength(:,24)),'-x', 'LineWidth', 1);
plot(wavelengths, Objects.objPxlValueWavelength(:,26)/max(Objects.objPxlValueWavelength(:,26)),'-x', 'LineWidth', 1);
xticks([808,915,940,980]);
ylim([0.1 1]);
xlim([805 1050]);
xlabel('wavelength [nm]');
ylabel('normalized pixel value [a.u]');
title('spectral responses');
legendStr = {'57', '51', '54', '58', '24', '26'};
hold off
legend(legendStr);

% figure 8
figure
subplot(1,2,1)
imagesc((21:49)*Settings.pitch, (122:250)*Settings.sampleDepth, clearestImg(122:250,21:49));
ylabel('depth [mm]');
xlabel('y [mm]');
title('Acquired PA image');
colormap hot
axis image
colorbar
subplot(1,2,2)
imagesc((21:49)*Settings.pitch, (122:250)*Settings.sampleDepth, correctedImg(122:250,21:49));
ylabel('depth [mm]');
xlabel('y [mm]');
title('Corrected PA image');
colormap hot
axis image
fprintf('done!\n');
colorbar