function [removedObj, DevRemoveObj] = group_objects_with_conditions(group,...
    removedObj,Objects,Settings,Cond,DevRemoveObj,crossCor)
% all objects that highly correlate each other is subgrouped in this script
% each subgroup contains one real absorber and the rest is its reflections

[~, idxAbsorber] = max(Objects.objPxlValueWavelength(Objects.clearestImgIdx, group));
absorber = group(idxAbsorber); % the object has the highest pixel value
                               % is the absorber
group(idxAbsorber) = [];
DevRemoveObj(absorber).abs = absorber;
absorberGroup = absorber*ones(length(group), 1);
delta_z = (Objects.objPxlPosX(group) - Objects.objPxlPosX(absorberGroup))*Settings.sampleDepth;
reflectionIdx = find(delta_z > Cond.zDistanceThreshold);
if ~isempty(reflectionIdx)    
    reflections = group(reflectionIdx);
    reflections(crossCor(absorber, reflections)<=Settings.crossCorThresh) = [];
    if(~isempty(reflections))
        removedObj(reflections) = reflections;
        if isfield(DevRemoveObj(absorber), 'refl')
            DevRemoveObj(absorber).refl = [DevRemoveObj(absorber).refl; reflections];
        else
            DevRemoveObj(absorber).refl = reflections;
        end    
        group(reflectionIdx) = [];
    end
end
if length(group)<2
    return
else
    [removedObj, DevRemoveObj] = group_objects_with_conditions(group,...
        removedObj, Objects, Settings, Cond, DevRemoveObj, crossCor);
end