function signal = preprocess_data_PA(Settings, Data)
% group frames based on the laser trigger event
% frames of each event are averaged and then stored in 'signal'

fprintf('Preprocessing Data.....');
nEvents = length(Settings.events);
signal = zeros(nEvents, Settings.halfFrameLength, Settings.finfo.nrl);
for iEvent = 1:nEvents
    indices = Settings.lm(4,:) == Settings.events(iEvent);
    frames = Data.halfFrame(indices, :, :);
    tempFrame = squeeze(mean(frames));
    tempFrame(Settings.cutOffIdx1+1:end-Settings.cutOffHalfIdx-1, :) = ...
        detrend(tempFrame(Settings.cutOffIdx1+1:end-Settings.cutOffHalfIdx-1, :), 'constant');
    signal(iEvent,:,:) = tempFrame;
end
fprintf('done!\n');