function wavelengths = wavelength_event_converter(events)
% to convert laser trigger events to triggered wavelength using a
% 4-wavelength FULLPHASE probe

nEvents = length(events);
waveBase = {'808', '915', '940', '980'};
wavelengths = cell(1,nEvents);
ids = 1:4;
for iEvent = 1:nEvents
    event = events(iEvent);
    is980 = floor(event/1000);
    is940 = floor((event-is980*1000)/100);
    is915 = floor((event-is980*1000-is940*100)/10);
    is808 = event-is980*1000-is940*100-is915*10;
%     waveIds = ids();
    waveFired = waveBase([logical(is808), logical(is915), logical(is940), logical(is980)]);
    wavelengths{iEvent} = strjoin(waveFired, ', ');
end